LMSigParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.lms

## Class LMSigParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.lms.LMSigParameters

-     public class LMSigParameters
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LMSigParameters` | `lms_sha256_n24_h10`
    `static LMSigParameters` | `lms_sha256_n24_h15`
    `static LMSigParameters` | `lms_sha256_n24_h20`
    `static LMSigParameters` | `lms_sha256_n24_h25`
    `static LMSigParameters` | `lms_sha256_n24_h5`
    `static LMSigParameters` | `lms_sha256_n32_h10`
    `static LMSigParameters` | `lms_sha256_n32_h15`
    `static LMSigParameters` | `lms_sha256_n32_h20`
    `static LMSigParameters` | `lms_sha256_n32_h25`
    `static LMSigParameters` | `lms_sha256_n32_h5`
    `static LMSigParameters` | `lms_shake256_n24_h10`
    `static LMSigParameters` | `lms_shake256_n24_h15`
    `static LMSigParameters` | `lms_shake256_n24_h20`
    `static LMSigParameters` | `lms_shake256_n24_h25`
    `static LMSigParameters` | `lms_shake256_n24_h5`
    `static LMSigParameters` | `lms_shake256_n32_h10`
    `static LMSigParameters` | `lms_shake256_n32_h15`
    `static LMSigParameters` | `lms_shake256_n32_h20`
    `static LMSigParameters` | `lms_shake256_n32_h25`
    `static LMSigParameters` | `lms_shake256_n32_h5`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LMSigParameters(int type, int m, int h, ASN1ObjectIdentifier digestOid)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1ObjectIdentifier` | `getDigestOID()`
    `int` | `getH()`
    `int` | `getM()`
    `static LMSigParameters` | `getParametersForType(int type)`
    `int` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lms_sha256_n32_h5

          public static final LMSigParameters lms_sha256_n32_h5

    - #### lms_sha256_n32_h10

          public static final LMSigParameters lms_sha256_n32_h10

    - #### lms_sha256_n32_h15

          public static final LMSigParameters lms_sha256_n32_h15

    - #### lms_sha256_n32_h20

          public static final LMSigParameters lms_sha256_n32_h20

    - #### lms_sha256_n32_h25

          public static final LMSigParameters lms_sha256_n32_h25

    - #### lms_sha256_n24_h5

          public static final LMSigParameters lms_sha256_n24_h5

    - #### lms_sha256_n24_h10

          public static final LMSigParameters lms_sha256_n24_h10

    - #### lms_sha256_n24_h15

          public static final LMSigParameters lms_sha256_n24_h15

    - #### lms_sha256_n24_h20

          public static final LMSigParameters lms_sha256_n24_h20

    - #### lms_sha256_n24_h25

          public static final LMSigParameters lms_sha256_n24_h25

    - #### lms_shake256_n32_h5

          public static final LMSigParameters lms_shake256_n32_h5

    - #### lms_shake256_n32_h10

          public static final LMSigParameters lms_shake256_n32_h10

    - #### lms_shake256_n32_h15

          public static final LMSigParameters lms_shake256_n32_h15

    - #### lms_shake256_n32_h20

          public static final LMSigParameters lms_shake256_n32_h20

    - #### lms_shake256_n32_h25

          public static final LMSigParameters lms_shake256_n32_h25

    - #### lms_shake256_n24_h5

          public static final LMSigParameters lms_shake256_n24_h5

    - #### lms_shake256_n24_h10

          public static final LMSigParameters lms_shake256_n24_h10

    - #### lms_shake256_n24_h15

          public static final LMSigParameters lms_shake256_n24_h15

    - #### lms_shake256_n24_h20

          public static final LMSigParameters lms_shake256_n24_h20

    - #### lms_shake256_n24_h25

          public static final LMSigParameters lms_shake256_n24_h25

  - ### Constructor Detail

    - #### LMSigParameters

          protected LMSigParameters(int type,
                                    int m,
                                    int h,
                                    ASN1ObjectIdentifier digestOid)

  - ### Method Detail

    - #### getType

          public int getType()

    - #### getH

          public int getH()

    - #### getM

          public int getM()

    - #### getDigestOID

          public ASN1ObjectIdentifier getDigestOID()

    - #### getParametersForType

          public static LMSigParameters getParametersForType(int type)